Loading...
Searching...
No Matches
robottestingframework::Arguments Class Reference

A class to implememnt a arguments parser. More...

`#include <robottestingframework/Arguments.h>`

## Static Public Member Functions

static void | parse (char *azParam, int *argc, char **argv)
| parse Parses a string parameters into argc, argv format

## Static Private Member Functions

static void | split (char *line, char **args)
| split Splits a line into arguments

## Detailed Description

A class to implememnt a arguments parser.

Definition at line 32 of file Arguments.h.

## Member Function Documentation

## parse()

void robottestingframework::Arguments::parse | ( | char * | azParam,
|  | int * | argc,
|  | char ** | argv )

static

parse Parses a string parameters into argc, argv format

Parameters

  azParam | Input string parmater
  argc | The parsed argument count
  argv | The parsed arguments

## split()

void robottestingframework::Arguments::split | ( | char * | line,
|  | char ** | args )

static private

split Splits a line into arguments

Parameters

  line | A line
  args | Splited arguments

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/Arguments.h